diff --git a/pgweb/util/contexts.py b/pgweb/util/contexts.py
index f3cf155..6c2e9fc 100644
--- a/pgweb/util/contexts.py
+++ b/pgweb/util/contexts.py
@@ -54,6 +54,7 @@ sitenav = {
         {'title': 'Core Team', 'link': '/developer/core/'},
         {'title': 'Roadmap', 'link': '/developer/roadmap/'},
         {'title': 'Coding', 'link': '/developer/coding/'},
+        {'title': 'CommitFest', 'link': 'https://commitfest.postgresql.org'},
         {'title': 'Testing', 'link': '/developer/testing/', 'submenu': [
             {'title': 'Beta Information', 'link': '/developer/beta/'},
         ]},
diff --git a/templates/pages/developer.html b/templates/pages/developer.html
index c78a6f0..f5a5ea2 100644
--- a/templates/pages/developer.html
+++ b/templates/pages/developer.html
@@ -16,11 +16,36 @@ PostgreSQL Anniversary Summit.
 
 <p>The information available in this section will mainly interest PostgreSQL developers. Here you'll find the
 <a href="/developer/roadmap/">roadmap</a> with current <a href="https://wiki.postgresql.org/wiki/Todo">TODO list</a>, <a href="/developer/coding/">coding</a> and
-<a href="/developer/testing/">testing</a> information, <a href="/list/">mailing lists</a>, and
+<a href="/developer/testing/">testing</a> information, <a href="https://commitfest.postgresql.org">CommitFest</a>, <a href="/list/">mailing lists</a>, and
 the developer <a href="https://wiki.postgresql.org/wiki/Developer_FAQ">FAQ</a>. Keep in mind the information available here is not
 necessarily available in the release version of PostgreSQL - it may not yet even be in the development version.
 </p>
 
+<h2>What is CommitFest?</h2>
+
+<a href="https://commitfest.postgresql.org">CommitFest</a> is a period during
+the PostgreSQL feature development where
+<a href="https://wiki.postgresql.org/wiki/Committers">committers</a> and
+<a href="/community/contributors/">contributors</a> focus on
+<a href="https://wiki.postgresql.org/wiki/Reviewing_a_Patch">reviewing</a>,
+<a href="/developer/testing/">testing</a>, and getting patches committed.
+Patches are registered in the
+<a href="https://commitfest.postgresql.org">CommitFest application</a>,
+which PostgreSQL developers use to track the patch status.
+
+There are typically 5 CommitFests in a major release cycle: July, September,
+November, January, and March. The March CommitFest is the final CommitFest in a
+major release, which is followed by "feature freeze" and the beginning of the
+<a href="/developer/beta/">beta</a> period. A
+"<a href="https://wiki.postgresql.org/wiki/CommitFest_Checklist">CommitFest Manager</a>"
+manages a CommitFest and has responsibilities to help manage the list of
+patches.
+
+Anyone can participate in a CommitFest and it is a great way to get started
+contributing to PostgreSQL. You can submit a patch to be included in a
+CommitFest, sign up to review a patch, or become a CommitFest Manager
+(though CommitFest Managers tend to have some level of experience in the
+community).
 
 <h2>Google Summer of Code Program</h2>
 
